Mailinglist Archive: opensuse-bugs (6095 mails)

< Previous Next >
[Bug 1089613] New: py2pack fails with deprecated API fault
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Sat, 14 Apr 2018 17:56:58 +0000
  • Message-id: <bug-1089613-21960@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1089613


Bug ID: 1089613
Summary: py2pack fails with deprecated API fault
Classification: openSUSE
Product: openSUSE Distribution
Version: Leap 15.0
Hardware: x86-64
OS: SUSE Other
Status: NEW
Severity: Major
Priority: P5 - None
Component: Other
Assignee: bnc-team-screening@xxxxxxxxxxxxxxxxxxxxxx
Reporter: afaerber@xxxxxxxx
QA Contact: qa-bugs@xxxxxxx
CC: tchvatal@xxxxxxxx
Found By: ---
Blocker: ---

$ py2pack fetch bintrees
Traceback (most recent call last):
File "/usr/bin/py2pack", line 10, in <module>
sys.exit(main())
File "/usr/lib/python3.6/site-packages/py2pack/__init__.py", line 341, in
main
args.func(args)
File "/usr/lib/python3.6/site-packages/py2pack/__init__.py", line 87, in
fetch
url = newest_download_url(args)
File "/usr/lib/python3.6/site-packages/py2pack/__init__.py", line 271, in
newest_download_url
for url in pypi.package_urls(args.name, args.version): #
Fetch all download URLs
File "/usr/lib64/python3.6/xmlrpc/client.py", line 1112, in __call__
return self.__send(self.__name, args)
File "/usr/lib64/python3.6/xmlrpc/client.py", line 1452, in __request
verbose=self.__verbose
File "/usr/lib64/python3.6/xmlrpc/client.py", line 1154, in request
return self.single_request(host, handler, request_body, verbose)
File "/usr/lib64/python3.6/xmlrpc/client.py", line 1170, in single_request
return self.parse_response(resp)
File "/usr/lib64/python3.6/xmlrpc/client.py", line 1342, in parse_response
return u.close()
File "/usr/lib64/python3.6/xmlrpc/client.py", line 656, in close
raise Fault(**self._stack[0])
xmlrpc.client.Fault: <Fault -32500: 'RuntimeError: This API has been
deprecated. Use https://pypi.org/bintrees/2.0.7/json instead. The XMLRPC method
release_urls can be used in the interim, but will be deprecated in the
future.'>

Same for cooldict package and for generate target.

It worked for other packages earlier today. Looks like a server-side change?

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
This Thread
  • No further messages